package com.logicbig.example;


import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import java.util.Locale;

public class BeanConditionExample {

    public static void main(String[] args) {
        //In real application, System Locale would be used depending on your location.
        //Here we are setting it manually to test our example*/
        runApp(Locale.US);
        System.out.println("----------");
        runApp(Locale.CANADA);
    }

    public static void runApp(Locale locale) {
        System.out.printf("setting default locale: %s\n", locale);
        Locale.setDefault(locale);
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(
                        AppConfig.class);

        ClientBean bean = context.getBean(ClientBean.class);
        System.out.printf("Injected MyService instance in ClientBean: %s\n", bean.getMyService()
                                                                                 .getClass()
                                                                                 .getSimpleName());
    }
}